Package org.eclipse.emf.cdo.server

## Class IRepository.WriteAccessHandler.TransactionValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.server.IRepository.WriteAccessHandler.TransactionValidationException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing interface:
    IRepository.WriteAccessHandler

      public static final class IRepository.WriteAccessHandler.TransactionValidationException
      extends java.lang.RuntimeException

  An exception that a `IRepository.WriteAccessHandler` may throw to indicate that a transaction commit was rejected because one or more semantic validation checks reported errors.
  Since:
    4.3
  Author:
    Christian W. Damus (CEA LIST)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionValidationException()` |
    `TransactionValidationException​(java.lang.String message)` |
    `TransactionValidationException​(java.lang.String message, java.lang.Throwable cause)` |
    `TransactionValidationException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionValidationException

          public TransactionValidationException()

    - #### TransactionValidationException

          public TransactionValidationException​(java.lang.String message,
                                                java.lang.Throwable cause)

    - #### TransactionValidationException

          public TransactionValidationException​(java.lang.String message)

    - #### TransactionValidationException

          public TransactionValidationException​(java.lang.Throwable cause)